#
# spec file for package java-1_4_2-ibm (Version 1.4.2.s4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv jpackage-utils klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives update-desktop-files util-linux vim zlib zlib-devel

Name:           java-1_4_2-ibm
BuildRequires:  jpackage-utils update-alternatives update-desktop-files
%ifarch x86_64
%define target_cpu amd64
%endif
%ifarch s390
%define target_cpu s390
%endif
%ifarch s390x
%define target_cpu s390x
%endif
%ifarch ppc
%define target_cpu ppc
%endif
%ifarch ppc64
%define target_cpu ppc64
%endif
%define	origin		ibm
%define priority	1422
%define	javaver		1.4.2
%define cvs_version	142
%define buildver	1.1
%define release         1jpp
%ifarch %ix86 ia64
%define archive_name    IBMJava2-SDK-%{cvs_version}.tgz
%define toplevel_dir    IBMJava2-%{cvs_version}
%else
%define archive_name    IBMJava2-SDK-%{cvs_version}.%{target_cpu}.tgz
%define toplevel_dir    IBMJava2-%{target_cpu}-%{cvs_version}
%endif
%define sdklnk          java-%{javaver}-%{origin}
%define jrelnk          jre-%{javaver}-%{origin}
%define sdkdir          %{name}-%{version}
%define jredir          %{sdkdir}/jre
%define sdkbindir       %{_jvmdir}/%{sdklnk}/bin
%define jrebindir       %{_jvmdir}/%{jrelnk}/bin
%define jvmjardir       %{_jvmjardir}/%{name}-%{version}
                                                                                                         
%define x11bindir       %{_prefix}/X11R6/bin
%define x11encdir       %{_prefix}/X11R6/lib/X11/fonts/encodings
%define fontconfigdir   %{_sysconfdir}/fonts
%define fontdir         %{_datadir}/fonts/java
%define xsldir          %{_datadir}/sgml/%{name}-%{version}
%define pluginsdir      %{_libdir}/browser-plugins
%define pluginpath      %{_jvmdir}/%{jredir}/bin
%define pluginname      libjavaplugin_ojigcc3.so
                                                                                                         
%define javaws_ver	1.2.0
%define javaws_version	1_2_0
# Avoid RPM 4.2+'s internal dep generator, it may produce bogus
# Provides/Requires here.
%define _use_internal_dependency_generator 0
                                                                                                         
# This prevents aggressive stripping.
%define debug_package %{nil}
Version:        1.4.2.s4
Release:        23.4
Summary:        IBM(R) Runtime Environment for Linux, Java(TM) 2 Technology Edition
License:        Commercial, Other License(s), see package
Group:          Development/Languages/Java
URL:            http://www-106.ibm.com/developerworks/java/jdk/linux140/
# for autobuild scripts, name each source file explicitly (and not with
# macros)
#Source0:	%{archive_name}
Source0:        IBMJava2-SDK-142.ppc.tar.bz2
NoSource:       0
Source1:        IBMJava2-SDK-142.ppc64.tar.bz2
NoSource:       1
Source2:        IBMJava2-SDK-142.tar.bz2
NoSource:       2
Source3:        IBMJava2-SDK-142.s390.tar.bz2
NoSource:       3
Source4:        IBMJava2-SDK-142.s390x.tar.bz2
NoSource:       4
Source5:        IBMJava2-SDK-142.ia64.tar.bz2
NoSource:       5
Source6:        IBMJava2-SDK-AMD64-142.x86_64.tar.bz2
NoSource:       6
Source7:        wrapper-script
Source8:        font.properties.SuSE.tar.bz2
Source9:        README.SuSE
Source11:       README.UTF-8
# font stuff disabled for now
#Source1:        %{name}-register-java-fonts.xsl
#Source2:        %{name}-unregister-java-fonts.xsl
# jpackage can't ship sources, we can
#NoSource:	0
Provides:       jre-%{javaver}-%{origin} = %{version}, jre-%{javaver},
Provides:       jre-%{origin} = %{version}, jre = %{javaver}
Provides:       java-%{javaver}, java-%{origin} = %{version},
Provides:       java = %{javaver}
Provides:       jre1.1.x jre1.2.x jre1.3.x jre1.4.x
Requires:       /usr/sbin/update-alternatives
%ifarch s390 s390x
Requires:       compat
%endif
Requires:       jpackage-utils >= 1.5.14
Conflicts:      kaffe
ExclusiveArch:	%ix86 ia64 ppc ppc64 s390 s390x x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%ifarch %ix86
Provides:       javaws = %{javaws_ver}
%endif
Provides:       jndi = %{javaver}, jndi-ldap = %{javaver}
Provides:       jsse = %{javaver}
Provides:       jce = %{javaver}
Provides:       jaas = %{javaver}
PreReq:         /usr/sbin/update-alternatives
%ifarch %ix86 s390 ppc  #jdbc is only available for 32bit platforms
Provides:       jdbc-stdext = 3.0, jdbc-stdext = %{version}
%endif
Provides:       j2re = %{javaver}, j2re

%description
The Java(TM) 2 Runtime Environment contains the Java virtual machine,
runtime class libraries, and Java application launcher that are
necessary to run programs written in the Java progamming language. It
is not a development environment and does not contain development tools
such as compilers and debuggers.  For development tools, see the
java-1.4.2-ibm-devel package.

The Java 2 Runtime Environment is intended for software developers and
vendors who wish to redistribute their applications.



%package devel
Summary:        IBM(R) Developer Kit for Linux, Java(TM) 2 Technology Edition
Group:          Development/Languages/Java
Requires:       /usr/sbin/update-alternatives
Provides:       java-sdk-%{javaver}-%{origin} = %{version}, java-sdk-%{javaver}
Provides:       java-sdk-%{origin} = %{version}, java-sdk = %{javaver}
Provides:       java-%{javaver}-devel, java-devel-%{origin} = %{version}
Provides:       java-devel = %{javaver}
Requires:       %{name} = %{version}-%{release}
Provides:       j2sdk = %{javaver}, j2sdk

%description devel
The Developer Kit for Linux is a development environment for writing
applets and applications that conform to Sun Microsystems Java Core
Application Programming Interface (API).



%package src
Summary:        Source files for java-1.4.2-ibm
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}

%description src
This package contains the sources of all classes that make up the Java
2 Standard Edition API, as provided by IBM.



%package demo
Summary:        Demonstration files for java-1.4.2-ibm
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}

%description demo
This package contains demonstration files for java-1.4.2-ibm



%ifarch %ix86
%package plugin
Summary:        Browser plugin files for java-1.4.2-ibm
Group:          Development/Languages/Java
# SUSE: removed /usr/bin/mozilla req
Requires:       %{name} = %{version}-%{release}
Requires:       %{_bindir}/find, sed
Provides:       java-plugin, java-%{javaver}-plugin
Conflicts:      java-%{javaver}-sun-plugin, java-%{javaver}-blackdown-plugin
Obsoletes:      java-1.3.1-plugin
Provides:       java-1.3.1-plugin

%description plugin
This package contains browser plugin files for java-1.4.2-ibm. Note:
this package supports browsers built with GCC 3.2 and later.



%endif
%ifarch ppc %ix86 s390
%package jdbc
Summary:        JDBC/ODBC bridge driver for java-1.4.2-ibm
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}
AutoReqProv:    no
Requires:       libodbc.so.1
Requires:       libodbcinst.so.1
Provides:       jdbc-stdext = 3.0, jdbc-stdext = %{version}
Provides:       %{name}-jdbc = %{version}, %{name}-jdbc,  java-jdbc = %{version}, java-jdbc

%description jdbc
This package contains the JDBC/ODBC bridge driver for java-1.4.2-ibm.



%endif
%prep
#%setup -n %{toplevel_dir}
# SUSE: no macro expansion in SOURCEs
%ifarch ppc
tar -jxf %{SOURCE0}
%endif
%ifarch ppc64
tar -jxf %{SOURCE1}
%endif 
%ifarch %ix86
tar -jxf %{SOURCE2}
%endif
%ifarch s390
tar -jxf %{SOURCE3}
%endif
%ifarch s390x
tar -jxf %{SOURCE4}
%endif
%ifarch ia64
tar -jxf %{SOURCE5}
%endif
%ifarch x86_64
tar -jxf %{SOURCE6}
rm IBMJava2-amd64-142/bin/utetcf || :
%endif
# do not unpack anything, but change into toplevel_dir
cp %{SOURCE11} %{SOURCE9}  %{toplevel_dir}
%setup -T -D -n %{toplevel_dir} -a 8
# The following loop will install wrapper scripts for all binaries to
# provide a work around for the problem, that the binaries included in the
# SDK/JRE can't be executed if they are called via a symbolic link deeper
# than two.
# Wrapper scripts are created for every file in the 'jre/bin' and 'bin' 
# directory that is not specified in the IGNORE_FILES variable.
#
# Disable this work-around by setting CREATE_WRAPPER_SCRIPTS="FALSE".
CREATE_WRAPPER_SCRIPTS="FALSE"
# Files for which no wrapper scripts should be written ... separate with
# blanks. Use regular expressions in order to exclude file extensions:
# .*\.so$ 
# would ignore *.so files
# Note: Directories and symbolic links are ignored by default and do not need to be specified here
IGNORE_FILES=".*\.so$ .*\.properties utetcf j2setcf HtmlConverter java-rmi.cgi jvmdcf"
if [ $CREATE_WRAPPER_SCRIPTS = "TRUE" ]
then
  for dir in jre/bin bin
  do 
    pushd $dir
    for file in `ls *`
    do
      EXCLUDE_CURRENT_FILE="FALSE"
      for pattern in $IGNORE_FILES
      do
        if [ `expr $file : "$pattern"` != 0 ]
        then
          EXCLUDE_CURRENT_FILE="TRUE"
        fi
      done
      
      # create wrapper for all files that are neither symbolic links, 
      # nor directories, nor to be excluded
      if [ -e $file -a \
           ! -h $file -a \
           ! -d $file -a \
           $EXCLUDE_CURRENT_FILE = "FALSE" ]
      then
        mv $file ${file}.bin
        # install wrapper script
        cp %{SOURCE7} $file
      fi
    done
    popd
  done
fi

%install
# main files
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
cp -a bin include lib src.jar $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
cp -a jre/bin jre/lib $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}
mv docs/* $RPM_BUILD_ROOT/%{_docdir}/%{name}/
# extensions handling
install -d -m 755 $RPM_BUILD_ROOT%{jvmjardir}
pushd $RPM_BUILD_ROOT%{jvmjardir}
   ln -s %{_jvmdir}/%{jredir}/lib/security.jar jsse-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/security.jar jce-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/server.jar jndi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/server.jar jndi-ldap-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/server.jar jndi-cos-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/server.jar jndi-rmi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/security.jar jaas-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/server.jar jdbc-stdext-%{version}.jar
   ln -s jdbc-stdext-%{version}.jar jdbc-stdext-3.0.jar
   for jar in *-%{version}.jar ; do
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|-%{javaver}.jar|g")
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
   done
popd
# version-less symlinks
pushd $RPM_BUILD_ROOT%{_jvmdir}
ln -s %{jredir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd
pushd $RPM_BUILD_ROOT%{_jvmjardir}
ln -s %{sdkdir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd
### javaws
%ifarch %ix86
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/javaws
cp -a jre/javaws/* $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/javaws
perl -p -i -e 's#javaws\.cfg\.jre\.0\.path=.*#javaws\.cfg\.jre\.0\.path=%{jrebindir}/java#' $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/javaws/javaws.cfg
rm -f %{buildroot}/.mailcap %{buildroot}/.mime.types
%endif
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a demo $RPM_BUILD_ROOT%{_datadir}/%{name}
# Most of this shamelessly stolen from redhat's kdebase-2.2.2 specfile
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type d \
    | sed 's|'$RPM_BUILD_ROOT'|%dir |' > $RPM_BUILD_DIR/%{name}-all.files
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type f \
    | sed 's|'$RPM_BUILD_ROOT'||'      >> $RPM_BUILD_DIR/%{name}-all.files
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type l \
    | sed 's|'$RPM_BUILD_ROOT'||'      >> $RPM_BUILD_DIR/%{name}-all.files
cat $RPM_BUILD_DIR/%{name}-all.files | egrep "plugin|ControlPanel" \
                                     | sort > $RPM_BUILD_DIR/%{name}-plugin.files
cat $RPM_BUILD_DIR/%{name}-all.files | grep Jdbc \
                                     | sort > $RPM_BUILD_DIR/%{name}-jdbc.files
cat $RPM_BUILD_DIR/%{name}-all.files | grep -v plugin \
                                     |  grep -v ControlPanel \
                                     | grep -v Jdbc \
                                     | grep -v "lib/fonts" \
                                     | grep -v "properties$" \
                                     | grep -v "javaws.policy" \
                                     | grep -v "packages" \
                                     | grep -v "readmefirst.lnx.txt" \
                                     | grep -v "htm$" \
                                     | grep -v "/bin" \
                                     | grep -v "html$" \
                                     | grep -v "javaws/javaws$" \
                                     | grep -v "COPYRIGHT" \
                                     | sort > $RPM_BUILD_DIR/%{name}.files
%ifarch %ix86
# freedesktop.org menu entry for console
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/applications
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-ControlPanel.desktop
[Desktop Entry]
Name=IBM Java %{version} Java Plug-in Control Panel
GenericName=Java Plugin Control Panel
Comment=IBM Java %{version} Java Plug-in Control Panel
Exec=%{_jvmdir}/%{jredir}/bin/JavaPluginControlPanel
Icon=ibm-java-%{version}-%{release}.png
Terminal=false
Type=Application
Encoding=UTF-8
EOF
%suse_update_desktop_file $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-ControlPanel.desktop -r Java System SystemSetup
install -Dpm 644 demo/jfc/Metalworks/HelpFiles/javalogo.gif \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/ibm-java-%{version}-%{release}.png
# menu entry for web start (reuse plugin control panel icon)
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-webstart.desktop
[Desktop Entry]
Name=IBM  Java %{version} Java Web Start
GenericName=Java Web Start
Comment=Java Web Start Application Manager
Exec=%{_jvmdir}/%{jredir}/javaws/javaws
Icon=ibm-java-%{version}-%{release}.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Application;System;Java;X-JPackage;
EOF
chmod 644 $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-webstart.desktop
%suse_update_desktop_file $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-webstart.desktop -r Java System Monitor 
%endif

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/%{name}*.files
%ifarch %ix86

%post plugin
  # set link to plugin lib
  ln -sf %{pluginpath}/%{pluginname} %{pluginsdir} 

%preun plugin
  if [ "$1" = "0" ] ; then
  rm %{pluginsdir}/%{pluginname}
  fi
%endif

%post
update-alternatives --install %{_bindir}/java java %{jrebindir}/java %{priority} \
%ifarch %ix86
--slave %{_datadir}/javaws                 javaws                      %{_jvmdir}/%{jredir}/javaws/javaws \
--slave %{_bindir}/ControlPanel             ControlPanel               %{_jvmdir}/%{jredir}/bin/JavaPluginControlPanel \
%endif
--slave %{_jvmdir}/jre                     jre                         %{_jvmdir}/%{jredir} \
--slave %{_jvmjardir}/jre                  jre_exports                 %{jvmjardir} \
--slave %{_bindir}/keytool                 keytool                     %{jrebindir}/keytool \
--slave %{_bindir}/policytool              policytool                  %{jrebindir}/policytool \
--slave %{_bindir}/rmid                    rmid                        %{jrebindir}/rmid \
--slave %{_bindir}/rmiregistry             rmiregistry                 %{jrebindir}/rmiregistry \
--slave %{_bindir}/tnameserv               tnameserv                   %{jrebindir}/tnameserv 
%ifarch %ix86
# set link to javaws ... remove old link, as older versions had a directory as a target
rm -f /usr/bin/javaws; ln -sf /etc/alternatives/javaws /usr/bin/javaws
%endif
update-alternatives --install %{_jvmdir}/jre-%{origin} jre_%{origin} %{_jvmdir}/%{jredir} %{priority} \
--slave %{_jvmjardir}/jre-%{origin}        jre_%{origin}_exports       %{jvmjardir}
update-alternatives --install %{_jvmdir}/jre-%{javaver} jre_%{javaver} %{_jvmdir}/%{jredir} %{priority} \
--slave %{_jvmjardir}/jre-%{javaver}       jre_%{javaver}_exports      %{jvmjardir}
perl -p -i -e "s#application/x-java-jnlp-file.*##" %{_sysconfdir}/mailcap.bak 2>/dev/null
echo "type=application/x-java-jnlp-file; description=\"Java Web Start\"; exts=\"jnlp\"" >> %{_sysconfdir}/mailcap 2>/dev/null
perl -p -i -e "s#application/x-java-jnlp-file.*##" %{_sysconfdir}/mime.types 2>/dev/null
echo "application/x-java-jnlp-file	jnlp" >> %{_sysconfdir}/mime.types 2>/dev/null
# suse compatibility links
# only create symlinks if this is the first
if ! [ -e %{_libdir}/jre ]; then
  ln -sf %{_libdir}/jvm/jre %{_libdir}/jre
fi

%post devel
update-alternatives --install %{_bindir}/javac javac %{sdkbindir}/javac %{priority} \
--slave %{_jvmdir}/java                     java_sdk                    %{_jvmdir}/%{sdkdir} \
--slave %{_jvmjardir}/java                  java_sdk_exports            %{jvmjardir} \
--slave %{_bindir}/appletviewer             appletviewer                %{sdkbindir}/appletviewer \
--slave %{_bindir}/extcheck                 extcheck                    %{sdkbindir}/extcheck \
--slave %{_bindir}/idlj                     idlj                        %{sdkbindir}/idlj \
--slave %{_bindir}/jar                      jar                         %{sdkbindir}/jar \
--slave %{_bindir}/jarsigner                jarsigner                   %{sdkbindir}/jarsigner \
--slave %{_bindir}/javadoc                  javadoc                     %{sdkbindir}/javadoc \
--slave %{_bindir}/javah                    javah                       %{sdkbindir}/javah \
--slave %{_bindir}/javap                    javap                       %{sdkbindir}/javap \
--slave %{_bindir}/jdb                      jdb                         %{sdkbindir}/jdb \
--slave %{_bindir}/native2ascii             native2ascii                %{sdkbindir}/native2ascii \
--slave %{_bindir}/rmic                     rmic                        %{sdkbindir}/rmic \
--slave %{_bindir}/serialver                serialver                   %{sdkbindir}/serialver \
--slave %{_bindir}/HtmlConverter            HtmlConverter               %{sdkbindir}/HtmlConverter
update-alternatives --install %{_jvmdir}/java-%{origin} java_sdk_%{origin} %{_jvmdir}/%{sdkdir} %{priority} \
--slave %{_jvmjardir}/java-%{origin}        java_sdk_%{origin}_exports  %{jvmjardir}
update-alternatives --install %{_jvmdir}/java-%{javaver} java_sdk_%{javaver} %{_jvmdir}/%{sdkdir} %{priority} \
--slave %{_jvmjardir}/java-%{javaver}       java_sdk_%{javaver}_exports %{_jvmjardir}/%{sdkdir}
# suse compatibility links
# only create symlinks if this is the first
if ! [ -e %{_libdir}/java ]; then
  ln -sf %{_libdir}/jvm/java %{_libdir}/java
fi

%postun
if [ $1 -eq 0 ]; then
	update-alternatives --remove java %{jrebindir}/java
        update-alternatives --remove jre_%{origin}  %{_jvmdir}/%{jredir}
        update-alternatives --remove jre_%{javaver} %{_jvmdir}/%{jredir}
fi

%postun devel
if [ $1 -eq 0 ]; then
	update-alternatives --remove javac %{sdkbindir}/javac
        update-alternatives --remove java_sdk_%{origin}  %{_jvmdir}/%{sdkdir}
        update-alternatives --remove java_sdk_%{javaver} %{_jvmdir}/%{sdkdir}
fi

%files -f ../%{name}.files
%ifarch %ix86
%{_datadir}/applications/jpackage-%{name}-webstart.desktop
%endif
%defattr(-,root,root,-)
%dir %{_jvmdir}/%{sdkdir}
%dir %{jvmjardir}
%attr(0755,root,root) %dir %{_jvmdir}/%{jredir}/bin/
%ifnarch x86_64
%attr(0755,root,root) %dir %{_jvmdir}/%{jredir}/bin/classic
%attr(0644,root,root) %{_jvmdir}/%{jredir}/bin/classic/*.so
%attr(0644,root,root) %{_jvmdir}/%{jredir}/bin/jvmdcf
%endif
%ifarch x86_64
%attr(0644,root,root) %{_jvmdir}/%{jredir}/bin/j2setcf
%attr(0644,root,root) %{_jvmdir}/%{jredir}/bin/j9vm/libjvm.so
%attr(0755,root,root) %dir %{_jvmdir}/%{jredir}/bin/j9vm
%endif
%attr(0644,root,root) %{_jvmdir}/%{jredir}/bin/*.so
%ifarch %ix86
%exclude %{_jvmdir}/%{jredir}/bin/javaplugin.so
%exclude %{_jvmdir}/%{jredir}/bin/libjavaplugin_jni.so
%exclude %{_jvmdir}/%{jredir}/bin/libjavaplugin_jnigcc3.so
%exclude %{_jvmdir}/%{jredir}/bin/libjavaplugin_oji.so
%exclude %{_jvmdir}/%{jredir}/bin/libjavaplugin_ojigcc3.so
%exclude %{_jvmdir}/%{jredir}/bin/libJdbcOdbc.so
%endif
%ifnarch x86_64
%attr(0644,root,root) %{_jvmdir}/%{jredir}/bin/utetcf
%endif
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/awt_robot 
#%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/*.bin
%ifarch %ix86
#%exclude %{_jvmdir}/%{jredir}/bin/JavaPluginControlPanel.bin
%endif
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/ikeyman
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/java
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/javaw
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/jextract
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/keytool
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/kinit
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/klist
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/ktab
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/policytool
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/rmid
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/rmiregistry
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/tnameserv
%ifarch %ix86
%attr(0755,root,root) %{_jvmdir}/%{jredir}/javaws/javaws
%endif
# new files in sr5-gold
%ifarch ppc ppc64
%attr(0755,root,root) %dir %{_jvmdir}/%{jredir}/bin/j9vm
%attr(0755,root,root) %dir %{_jvmdir}/%{jredir}/bin/sovvm
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/j9jextract
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/j9vm/libjvm.so
%attr(0755,root,root) %{_jvmdir}/%{jredir}/bin/sovvm/libjvm.so
%endif
%attr(0644,root,root) %{_jvmdir}/%{jredir}/bin/*.properties
%attr(0644,root,root) %{_jvmdir}/%{jredir}/lib/*.properties
%attr(0644,root,root) %{_jvmdir}/%{jredir}/lib/images/cursors/*.properties
%ifarch %ix86
%attr(0644,root,root) %{_jvmdir}/%{jredir}/javaws/resources/*.properties
%attr(0644,root,root) %{_jvmdir}/%{jredir}/javaws/javaws.policy
%endif
%{_jvmdir}/%{jredir}/lib/fonts
%{jvmjardir}/*.jar
%{_jvmdir}/%{jrelnk}
%{_jvmjardir}/%{jrelnk}
%defattr(0644,root,root,0755) 
%doc %{_docdir}/%{name}
%exclude %{_docdir}/%{name}/sdk

%files devel
%defattr(-,root,root)
%dir %{_jvmdir}/%{sdkdir}/bin
%dir %{_jvmdir}/%{sdkdir}/include
%dir %{_jvmdir}/%{sdkdir}/lib
%{_jvmdir}/%{sdkdir}/bin/*
%{_jvmdir}/%{sdkdir}/include/*
%{_jvmdir}/%{sdkdir}/lib/*
%{_jvmdir}/%{sdklnk}
%{_jvmjardir}/%{sdklnk}
%defattr(0644,root,root,0755) 
%doc %{_docdir}/%{name}/sdk

%files src
%defattr(-,root,root)
%{_jvmdir}/%{sdkdir}/src.jar

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}
#jdbc is only available for 32bit platforms
%ifarch %ix86 s390 ppc

%files jdbc -f ../%{name}-jdbc.files
%defattr(-,root,root)
%endif
# plugin only exists on x86 platforms
%ifarch %ix86

%files plugin -f ../%{name}-plugin.files
%{_datadir}/applications/jpackage-%{name}-ControlPanel.desktop
%{_datadir}/pixmaps/ibm-java-%{version}-%{release}.png
%defattr(-,root,root)
%endif

%changelog -n java-1_4_2-ibm
* Wed Jun 07 2006 - dbornkessel@suse.de
- deactivated wrapper script as it can be problematic in some occasions
  (see Bug #179737). This should not be a problem, as all packages for all archs
  are now >= sr4 (where the double-link problem was resolved).
* Thu Jun 01 2006 - dbornkessel@suse.de
- repackaged all archive to bz2
- update ia64 to sr4 provided by IBM (see Bug #179736)
* Mon May 08 2006 - dbornkessel@suse.de
- updated ppc/ppc64 to sr5_gold (see Bug #115562, comment #67)
* Wed Apr 19 2006 - dbornkessel@suse.de
- updated ppc/ppc64 to sr5_silver (see Bug #115562, #comment 64)
- subsequent update-alternative call deleted symbolic links (Bug #164953)
* Mon Mar 27 2006 - dbornkessel@suse.de
- provide j2re and j2sdk (Bug #160109)
- provides jndi and some other stuff with realese-less versions
* Fri Mar 24 2006 - schwab@suse.de
- Readd wrapper scripts.
* Thu Mar 23 2006 - dbornkessel@suse.de
- changed /usr/lib to %%{_libdir} in compatibility links
- update for ppc and ppc64
- deactivated wrapper script as it was fixed with sr4
* Thu Mar 23 2006 - schwab@suse.de
- Add compatibility links.
* Fri Mar 17 2006 - dbornkessel@suse.de
- added versionless jdbc provide:
  Provides:       %%{name}-jdbc = %%{version}, %%{name}-jdbc,  java-jdbc = %%{version}, java-jdbc
* Mon Mar 13 2006 - dbornkessel@suse.de
- added missing PreReq:  /usr/sbin/update-alternatives
* Mon Feb 13 2006 - schwab@suse.de
- Fix %%pluginpath.
* Fri Feb 03 2006 - dbornkessel@suse.de
- update to 1.4.2.s4 which fixes bug #117085
- fixed several rpmlint warnings and errors
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 15 2005 - dbornkessel@suse.de
- NoSource'd binary tar balls
- added
  Provides:     jre1.1.x jre1.2.x jre1.3.x jre1.4.x
* Fri Dec 09 2005 - dbornkessel@suse.de
- ifarch'ed compat to s390 and s390x
* Fri Dec 09 2005 - dbornkessel@suse.de
- added 'Requires: compat', as it is needed by the JIT compiler
* Mon Dec 05 2005 - dbornkessel@suse.de
- added missing 'Provides: jaas'
* Mon Nov 21 2005 - dbornkessel@suse.de
- corrected link for javaws which could have made trouble when used together with older versions
* Mon Nov 21 2005 - dbornkessel@suse.de
- updated to latest binaries
* Fri Nov 18 2005 - dbornkessel@suse.de
- added x86_64 platform
- added work around for binaries that can't be called with symbolic links deeper than 1
- added work around for missing file in x86_64 version
- added SUSE specific font stuff
- added SUSE READMEs
- added link to browser plugins as requested in Bug #119416
- corrected javaws link (see Bug #127562)
- added menu entry for plugin control panel
* Wed Oct 19 2005 - dbornkessel@suse.de
- ifarch'ed plugin and jdbc packages, as plugin is only available for x86 platforms and jdbc is not available for 64 bit platforms
